Bug 804621 - [abrt] wicd-gtk-1.7.0-10.fc16: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
[abrt] wicd-gtk-1.7.0-10.fc16: connection.py:630:call_blocking:DBusException:...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: wicd (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
abrt_hash:9b9c878aecfb7cdcc5f72dc76bb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 08:58 EDT by Kostya Berger
Modified: 2012-03-21 14:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:09:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kostya Berger 2012-03-19 08:58:40 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python -O /usr/share/wicd/gtk/wicd-client.py
comment:        just opening wicd on startup. NetworkManager is disabled via `systemctl disable NetworkManager.service`.
executable:     /usr/share/wicd/gtk/wicd-client.py
kernel:         3.2.9-1.fc16.x86_64
reason:         connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
time:           Mon 19 Mar 2012 13:04:17 MSK
uid:            500
username:       kostya

backtrace:
:connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
:
:Traceback (most recent call last):
:  File "/usr/share/wicd/gtk/gui.py", line 388, in update_statusbar
:    daemon.UpdateState()
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
:    **keywords)
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
:    message, timeout)
:DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
:
:Local variables in innermost frame:
:byte_arrays: False
:self: <dbus._dbus.SystemBus (system) at 0x102e170>
:args: ()
:utf8_strings: False
:bus_name: dbus.UTF8String(':1.74')
:get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
:object_path: '/org/wicd/daemon'
:timeout: -1.0
:signature: ''
:dbus_interface: 'org.wicd.daemon'
:message: <dbus.lowlevel.MethodCallMessage object at 0xd49f18>
:method: 'UpdateState'
Comment 1 David Cantrell 2012-03-21 14:09:56 EDT
I have tried to reproduce this issue on F-16, but am unable.  I am starting with a fresh install.  I disabled NetworkManager using the same command you used.  Then I installed wicd, wicd-common, wicd-gtk, and wicd-curses.

I did run these commands before running wicd-client:
    systemctl enable wicd.service
    systemctl start wicd.service

After that, wicd-client ran successfully.

Note You need to log in before you can comment on or make changes to this bug.